Manually promote a winning variant
POST
/api/v1/ux/ab-tests/{test_id}/promote
const url = 'https://api.ultimateteam.ai/api/v1/ux/ab-tests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/promote';const options = {method: 'POST', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/ux/ab-tests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/promote \ --header 'X-API-Key: <X-API-Key>'UX-01: Admin-only path; the CEO weekly cadence is the primary caller via sweep_auto_promote.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”test_id
required
Test Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}